Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Macros | Functions
procstat_vm.c File Reference
`#include <sys/user.h>`
`#include <sys/sysctl.h>`
`#include <sys/param.h>`
`#include <libprocstat.h>`

Go to the source code of this file.

## Macros
#define | KVME_TYPE_MGTDEVICE 8

## Functions
void | procstat_vm (struct procstat *procstat, struct kinfo_proc *kipp)

## Macro Definition Documentation

## ◆ KVME_TYPE_MGTDEVICE

#define KVME_TYPE_MGTDEVICE 8

Definition at line 6 of file procstat_vm.c.

## Function Documentation

## ◆ procstat_vm()

void procstat_vm | ( | struct procstat * | procstat,
|  | struct kinfo_proc * | kipp
| ) |  |

Definition at line 9 of file procstat_vm.c.

References cnt, fprintf(), free, i, KVME_TYPE_MGTDEVICE, NULL, stderr, and str.

Referenced by rb_vm_bugreport().